<?php

namespace Drupal\Tests\lightning_landing_page\Functional;

use Drupal\field\Entity\FieldConfig;
use Drupal\layout_builder\Entity\LayoutEntityDisplayInterface;
use Drupal\Tests\BrowserTestBase;

/**
 * @group lightning
 * @group lightning_layout
 * @group lightning_landing_page
 */
class InstallTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'lightning_landing_page',
  ];

  /**
   * Tests that Layout Builder overrides are enabled in the full node view mode.
   */
  public function testInstall() {
    $display = entity_get_display('node', 'landing_page', 'full');
    $this->assertInstanceOf(LayoutEntityDisplayInterface::class, $display);
    /** @var LayoutEntityDisplayInterface $display */
    $this->assertTrue($display->isOverridable());
    $this->assertInstanceOf(FieldConfig::class, FieldConfig::loadByName('node', 'landing_page', 'layout_builder__layout'));
  }

}
